Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
Uksake Posted on 10/01/2019 21:10
Do peels own Humberside Airport too?
 
 
Drove past today. Looks very similar in size to Teesside but seemed fairly busy?
IP: Logged
Boro_Boro_Boro Posted on 10/01/2019 21:15

Do peels own Humberside Airport too?

 
NOPE its owned by Eastern Group... well 87%of it anyway
IP: Logged
myfooty Posted on 10/01/2019 22:30
Edited On: 10/01/2019 22:32
Do peels own Humberside Airport too?

 
Humberside Airport is another small reginonal airport that always seems to struggle. It used to be owned by Manchester Airport Group before it was sold to Eastern Airways group which is now owned Bristow Group.
IP: Logged
TheFair86 Posted on 10/01/2019 23:05
Edited On: 11/01/2019 10:50
Do peels own Humberside Airport too?

 
Peel run Liverpool Jon Lennon (5m passengers a year) and sheffield Doncaster airport (1.3m passengers)

Newcastle does about 5m passengers, Teesside busiest ever was about 1m passengers which was achieved under peels ownership before the decline set in
IP: Logged
Banned1 Posted on 11/01/2019 02:16

Do peels own Humberside Airport too?

 
Teesside busiest ever was about 1m passengers which was achivsss under peels ownership before the decline set in

And since then under Peel's ownership ?????
IP: Logged
Sortie Posted on 11/01/2019 05:22

Do peels own Humberside Airport too?

 
I'd guess the busiest years were between 2004 & 2006
IP: Logged
flipside Posted on 11/01/2019 06:01

Do peels own Humberside Airport too?

 
"Teesside busiest ever was about 1m passengers which was achivsss under peels ownership before the decline set in

And since then under Peel's ownership ?????"

It's been in decline.
So makes you think. If they can't make a success of it then nobody can.
IP: Logged
benboro1 Posted on 11/01/2019 10:05

Do peels own Humberside Airport too?

 
Humberside don't do a lot of Holiday Flights either & I don't believe that any of the discount airlines(Ryanair, Easyjet, Jet2 etc) fly into their either. We have friends that come out to Malaga that live in Beverley & they nearly always use LBA or MAN if they're stuck for a flight out of LBA.
Peel own Blackpool Airport & did own Manston in Kent before they ran into the ground to close it & sell off. Not unlike what they're trying to do DTV & Blackpool then!

Link:
IP: Logged
MT89 Posted on 11/01/2019 10:38

Do peels own Humberside Airport too?

 
I enjoyed the halcyon days of 2006 when I flew from Teesside to Marmaris.

Doncaster is a airport I've used regularly, great range of flights
IP: Logged
Cleveleyssmoggie Posted on 11/01/2019 10:46

Do peels own Humberside Airport too?

 
Blackpool airport is owned by the council and operated by a subsidiary of Balfour Beatty.
IP: Logged
TheFair86 Posted on 11/01/2019 10:50

Do peels own Humberside Airport too?

 
Do you have a source for that Benboro1?

Blackpool Airport is owned by Blackpool Council & operated by Squires Gate Airport Operations Ltd. Cant see anything in its history to suggest that Blackpool has ever been owned or operated by Peel.

Can't see anything on Manston Airport being owned boy them either

Peel bought RAF Finningley and built Robin Hood Airport, now Sheffield Doncaster, themselves as a commercial enterprise.
IP: Logged
myfooty Posted on 11/01/2019 11:00
Edited On: 11/01/2019 11:17
Do peels own Humberside Airport too?

 
"Peel own Blackpool Airport & did own Manston in Kent before they ran into the ground to close it & sell off. Not unlike what they're trying to do DTV & Blackpool then!"

That not true.

The only passenger airports that have been owned by Peel are Liverpool John Leennon airport, Doncaster Sheffield Airport, Durham Tees Valley Airport and Sheffield City Airport. Peel also owns Manchester city airport and Heliport.

Sheffirld City airport was already a failed airport before Peel got involved. It had very short runway and based on the London City airport model. That is why the South Yorkshire Local Authorities backed Peels plans to build a new passenger airport for the area that would have one of the longest runways in the UK. Peel was already working on Doncaster Sheffield Airport before it was asked to support Sheffield City Airport. In return once Sheffield City Airport was closed Peel would be allowed to redevelop the land. The most passengers the Sheffield City Airport had in one year was 75,000. By the time Peel got involved that dropped to just over 30,000 per year.

Before it was closed to passenger flights Blackpool Airport was owned by Balfour Beatty along with Wolverhampton Airport, Exeter Airport and Derry Airport.
Balfour Beatty was romoured to one parties that was bidding DTVA back in 2002.

Manston Airport was owned by Infratil a New Zealand company that also owned Glasgow Prestwick Airport. Both Airport where struggling and they sold them in late 2013.

Scottish government took over Prestwick airport and it 900 acrea site for 1. That Airport was losing 2m-3m per year. Now losing on average 8m per year. The scottish government is now owed just short of 40m.

Manston was took over by Ann Gloag, co-founder of Stagecoach Group. The airport was closed 15th May 2014.

IP: Logged
myfooty Posted on 11/01/2019 11:11
Edited On: 11/01/2019 15:58
Do peels own Humberside Airport too?

 
DTVA can be a successful airport but it needs major investment before you would know if it can be competitive against airports like Leeds Bradford Airport and Newcastle Airport in thr long term whilst still making ptofit.

I think it would be fair to say it will need a investment of over 200m over the next 10 years.

I think 100 million over next 5 years could see the Airport at 1.5m to 2m passengers per year. By the end of year 5.
IP: Logged
tryasize10 Posted on 11/01/2019 16:05

Do peels own Humberside Airport too?

 
Are Peel selling DTV?
IP: Logged
Juninhotheking Posted on 11/01/2019 18:13

Do peels own Humberside Airport too?

 
Hopefully to the Tees valley mayor for 40 million the area needs to keep an airport to have any chance of growth or risk been left behind again.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2019 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103